nasty worrying output using local provider

Bug #1304132 reported by Dave Cheney on 2014-04-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core
High
Ian Booth

Bug Description

deploy a local environment with this script

http://paste.ubuntu.com/7219530/

output

2014-04-08 00:35:06 INFO juju runner.go:262 worker: start "rsyslog"
2014-04-08 00:35:06 DEBUG juju.worker.rsyslog worker.go:76 starting rsyslog worker mode 2 for "machine-0" "ubuntu-local"
2014-04-08 00:35:06 DEBUG juju.state.apiserver apiserver.go:130 <- [2] machine-0 {"RequestId":4,"Type":"Upgrader","Request":"SetTools","Params":{"AgentTools":[{"Tag":"machine-0","Tools":{"Version":"1.19.0.1-trusty-ppc64"}}]}}
2014-04-08 00:35:06 DEBUG juju.state.apiserver apiserver.go:130 <- [2] machine-0 {"RequestId":5,"Type":"Machiner","Request":"Life","Params":{"Entities":[{"Tag":"machine-0"}]}}
2014-04-08 00:35:06 DEBUG juju.state.apiserver apiserver.go:130 <- [2] machine-0 {"RequestId":6,"Type":"Machiner","Request":"WatchAPIHostPorts","Params":{}}
2014-04-08 00:35:06 DEBUG juju.state.apiserver apiserver.go:130 <- [2] machine-0 {"RequestId":7,"Type":"Logger","Request":"LoggingConfig","Params":{"Entities":[{"Tag":"machine-0"}]}}
2014-04-08 00:35:06 INFO juju.provider.local environprovider.go:40 opening environment "local"
2014-04-08 00:35:06 DEBUG juju.state.apiserver apiserver.go:130 <- [2] machine-0 {"RequestId":8,"Type":"Provisioner","Request":"Life","Params":{"Entities":[{"Tag":"machine-0"}]}}
2014-04-08 00:35:06 DEBUG juju.state.apiserver apiserver.go:130 <- [2] machine-0 {"RequestId":9,"Type":"Environment","Request":"EnvironConfig","Params":{}}
2014-04-08 00:35:07 DEBUG juju.state.apiserver apiserver.go:137 -> [2] machine-0 795.978ms {"RequestId":7,"Response":{"Results":[{"Error":null,"Result":"\u003croot\u003e=WARNING;unit=DEBUG"}]}} Logger[""].LoggingConfig
2014-04-08 00:35:07 INFO juju.provider.local environprovider.go:40 opening environment "local"
2014-04-08 00:35:07 DEBUG juju.worker.logger logger.go:45 reconfiguring logging from "<root>=DEBUG" to "<root>=WARNING;unit=DEBUG"
2014-04-08 00:35:14 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:14 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:14 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:14 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:17 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": instance not found
2014-04-08 00:35:17 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": instance not found
2014-04-08 00:35:17 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": instance not found
2014-04-08 00:35:17 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": instance not found
2014-04-08 00:35:21 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:21 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:21 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:23 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": no instances found
2014-04-08 00:35:30 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": instance not found
2014-04-08 00:35:30 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": instance not found
2014-04-08 00:35:47 WARNING juju.worker.instanceupdater updater.go:231 cannot get instance info for instance "": instance not found

Related branches

Ian Booth (wallyworld) wrote :

The warnings appear to occur because the instance poller doesn't correctly recognise that a machine is not provisioned yet, and hence should be ignored until it is.

Changed in juju-core:
assignee: nobody → Ian Booth (wallyworld)
status: Triaged → In Progress
Ian Booth (wallyworld) on 2014-04-10
Changed in juju-core:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2014-04-15
Changed in juju-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers